Bug 1259825 - live migration fails, because incorrect arguments order passed to method
live migration fails, because incorrect arguments order passed to method
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: z5
: 7.0 (Kilo)
Assigned To: Vladik Romanovsky
nlevinki
: ZStream
Depends On:
Blocks: 1255440
  Show dependency treegraph
 
Reported: 2015-09-03 11:00 EDT by Stephen Gordon
Modified: 2017-07-18 09:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-18 09:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1442656 None None None Never

  None (edit)
Description Stephen Gordon 2015-09-03 11:00:37 EDT
Cloned from launchpad bug 1442656.

Description:

steps to reproduce:
1.boot instance
2. call nova live-migration instance

2015-04-10 09:03:42.621 ERROR root [req-73637bbe-9a23-4ce9-92c8-d3bbceaf8341 admin admin] Original exception being dropped: ['Traceback (most recent call last):\n', '  File "/opt/stack/nova/nova/compute/manager.py", line 340, in decorated_function\n    return function(self, context, *args, **kwargs)\n', '  File "/opt/stack/nova/nova/compute/manager.py", line 5202, in live_migration\n    expected_attrs=expected)\n', '  File "/opt/stack/nova/nova/objects/instance.py", line 489, in _from_db_object\n    instance[field] = db_inst[field]\n', 'TypeError: string indices must be integers\n']
2015-04-10 09:03:42.622 ERROR oslo_messaging.rpc.dispatcher [req-73637bbe-9a23-4ce9-92c8-d3bbceaf8341 admin admin] Exception during message handling: 'unicode' object has no attribute 'uuid'
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher Traceback (most recent call last):
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 142, in _dispatch_and_reply
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     executor_callback))
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 186, in _dispatch
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     executor_callback)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 130, in _do_dispatch
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     result = func(ctxt, **new_args)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/opt/stack/nova/nova/compute/manager.py", line 6663, in live_migration
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     migrate_data=migrate_data)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/opt/stack/nova/nova/exception.py", line 88, in wrapped
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     payload)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/usr/local/lib/python2.7/dist-packages/oslo_utils/excutils.py", line 85, in __exit__
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     six.reraise(self.type_, self.value, self.tb)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/opt/stack/nova/nova/exception.py", line 71, in wrapped
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     return f(self, context, *args, **kw)
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/opt/stack/nova/nova/compute/manager.py", line 352, in decorated_function
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     kwargs['instance'], e, sys.exc_info())
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher   File "/opt/stack/nova/nova/compute/utils.py", line 87, in add_instance_fault_from_exc
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher     fault_obj.instance_uuid = instance.uuid
2015-04-10 09:03:42.622 TRACE oslo_messaging.rpc.dispatcher AttributeError: 'unicode' object has no attribute 'uuid'

Specification URL (additional information):

https://bugs.launchpad.net/nova/+bug/1442656

Note You need to log in before you can comment on or make changes to this bug.